version: "3.7"

services:
  app_proxy:
    environment:
      APP_HOST: server
      APP_PORT: 5678
      PROXY_AUTH_WHITELIST: "/webhook-test/*,/webhook/*"

  server:
    image: n8nio/n8n:1.121.3@sha256:4f717fcf41f5ea596757173a60ce038707e4edf2c686e9934ae75cd5f5918d73
    restart: on-failure
    volumes:
      - ${APP_DATA_DIR}/data:/home/node/.n8n
    stop_grace_period: 1m
    environment:
      - PUID=1000
      - PGID=1000
      - N8N_HOST=$DEVICE_DOMAIN_NAME
      - N8N_SECURE_COOKIE=false
      - N8N_DIAGNOSTICS_ENABLED=false
      - N8N_ENFORCE_SETTINGS_FILE_PERMISSIONS=true
      - N8N_RUNNERS_ENABLED=true
